import { expect, tap } from '@push.rocks/tapbundle';
import * as finplusInterfaces from '../ts/index.js';

interface ITestTransaction {
  date: Date;
  amount: number;
}

tap.test('implement test csv parser', async () => {
  class MyCsvParser extends finplusInterfaces.AcCsvParser<ITestTransaction> {
    paymentProviderName: 'bunq';
    public transactionArray: ITestTransaction[] = [];
    public async getTransactions(): Promise<ITestTransaction[]> {
      return this.transactionArray;
    }
  }
});

tap.start();
