import { type IVoucher } from './voucher.js';

export interface IMonetaryTransaction {
  id: string;
  data: {
    paymentAccountId: string;
    originTransactionId: string;
    originAccountId: string;
    additionalIds: string[];
    date: number;
    amount: number;
    description: string;
    name: string;
    voucherData?: IVoucher;
    justForLooks?: {
      paymentAcountName: string;
      voucherSizeInMB: number;
      dateIso?: string;
    };
  };
}
